// (c) 1997-2007 Electronic Arts Inc.

#ifndef HASH_H
#define HASH_H

#if defined(_MSC_VER)
#pragma once
#endif

#ifdef __cplusplus
extern "C" {
#endif

#define HASH_VERSION 101

typedef struct HASH HASH;

HASH * HASH_init(int hashsize);
void   HASH_add(HASH *header,const char *name,int code);
int    HASH_check(HASH *header,const char *name);
void   HASH_purge(HASH *header);

#ifdef __cplusplus
}
#endif
#endif // HASH_H


